package com.ruoyi.school.paper.controller;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.school.paper.domain.vo.TestPaperVo;
import com.ruoyi.school.paper.service.ITestPaperService;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Objects;

/**
 * 考试
 * <p>created in  2023/7/21 16:20
 *
 * @author WangMin
 * @version 1.0
 */
@Validated
@RequiredArgsConstructor
@RestController
@RequestMapping("/school-paper/test")
public class TestPaperController extends BaseController {

    private final ITestPaperService testPaperService;

    /**
     * 开始考试
     *
     * @return 试卷
     */
    @Log(title = "开始开始", businessType = BusinessType.OTHER)
    @GetMapping("/startTest/{paperId}")
    public R<TestPaperVo> startTest(@PathVariable("paperId") Long paperId) {
        Long userId = getUserId();
        Objects.requireNonNull(userId, "未检查到合法账户信息");
        return R.ok(testPaperService.generateTestPaper(userId,paperId));
    }


}
